#ifndef _SPEED_FONT_H_
#define _SPEED_FONT_H_

#include "OpenGL.h"

typedef struct Font
{
	int w,h,rows,cols;
	int offset,spacing;
	GLuint tex;
	GLuint lists;
} Font;

int InitFont(Font *font,char *fontname,int w,int h,int cols,int rows,int offset);
void DrawTextWithFont(Font *font,char *text,int x,int y);
void DrawTextWithEffect(Font *font,char *text,int x,int y,int effect,double t);

#endif
