#ifndef _SPEED_GAME_H_
#define _SPEED_GAME_H_

#include "Map.h"

#define GameNoEvent 0
#define GameStartedEvent 1
#define GameRestartedEvent 2
#define GameGateEvent 3
#define GameLapEvent 4
#define GameStoppedRaceEvent 5

typedef struct Game
{
	int x,y,z;
	int vx,vy,vz;
	int a;
	int eventtype,eventtime;
	int gate,timer,lasttime;
	int lasthit;
	int frame;
} Game;

void StartGame(Game *game,struct Map *map);
void RestartGame(Game *game,struct Map *map);
void GameLoop(Game *game,struct Map *map,int left,int right,int up,int down,int run,int crouch);

#endif
