#ifndef _SPEED_RENDERER_H_
#define _SPEED_RENDERER_H_

#include "../Map.h"
#include "../Game.h"

#include <nds.h>

typedef struct Renderer
{
	uint32 textures[NUM_MAP_TEXTURES];
	uint32 lights[NUM_MAP_TEXTURES];
	uint32 whitetexture;
	uint16 *palette;
	uint16 lighttable[256];
//	PaletteEntry palette[256];
} Renderer;

int InitRenderer(Renderer *renderer);
int PrepareForMap(Renderer *renderer,Map *map);
void Render(Renderer *renderer,Map *map,struct Game *game,int animticks);

#endif
